<?php
/*Diese Datei ist ein Teil vonTechnikMarkt, jot-shop child theme.

Alle Funktionen dieser Datei werden vor den Funktionen des Eltern-Themes geladen.
Erfahre mehr unter https://codex.wordpress.org/Child_Themes.

Notiz: Diese Funktion lädt das Stylesheet des Eltern-Themes vor dem Stylesheet des Child-Themes
(Lass es an Ort und Stelle, es sei denn du weißt, was du tust.)
*/

if ( ! function_exists( 'suffice_child_enqueue_child_styles' ) ) {
	function TechnikMarkt_enqueue_child_styles() {
	    // loading parent style
	    wp_register_style(
	      'parente2-style',
	      get_template_directory_uri() . '/style.css'
	    );

	    wp_enqueue_style( 'parente2-style' );
	    // loading child style
	    wp_register_style(
	      'childe2-style',
	      get_stylesheet_directory_uri() . '/style.css'
	    );
	    wp_enqueue_style( 'childe2-style');
	 }
}
add_action( 'wp_enqueue_scripts', 'TechnikMarkt_enqueue_child_styles' );

/*Hier kannst du deine eigenen Funktionen schreiben */

// Activar PayPal Standard
add_filter( 'woocommerce_should_load_paypal_standard', '__return_true' );

// Checkout & Cart/Mini Cart: Hide taxes, show only VAT included message
// Checkout & Cart/Mini Cart: Hide taxes, show only VAT included message

function remove_actions_gzd_taxes() {
    remove_action( 'woocommerce_cart_totals_before_order_total', 'woocommerce_gzd_template_cart_total_tax', 1 );
	remove_action( 'woocommerce_review_order_before_order_total', 'woocommerce_gzd_template_cart_total_tax', 1 );
	remove_action( 'woocommerce_cart_totals_after_order_total', 'woocommerce_gzd_template_cart_total_tax', 1 );
	remove_action( 'woocommerce_review_order_after_order_total', 'woocommerce_gzd_template_cart_total_tax', 1 );
}
add_action( 'init', 'remove_actions_gzd_taxes');

remove_action( 'woocommerce_widget_shopping_cart_before_buttons', 'woocommerce_gzd_template_mini_cart_taxes', 10 );

remove_action( 'woocommerce_widget_shopping_cart_total', 'woocommerce_widget_shopping_cart_subtotal', 10 );
add_action( 'woocommerce_widget_shopping_cart_total', 'woocommerce_widget_shopping_cart_subtotal_mod', 10 );

if ( ! function_exists( 'woocommerce_widget_shopping_cart_subtotal_mod' ) ) {
	/**
	 * Output to view cart subtotal.
	 */
	function woocommerce_widget_shopping_cart_subtotal_mod() {
		echo '<strong>' . esc_html__( 'Subtotal:', 'woocommerce' ) . '</strong> ' . WC()->cart->get_cart_subtotal() . '<br/><span style="font-size:0.8em; font-color:#c5c7c9;">inkl. Mwst.</span>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}
add_filter( 'woocommerce_gzd_show_mini_cart_totals_taxes', '__return_false' );



/* Inserta una imagen con los metodos de pago despues de la descripcion corta de cada producto */
//add_action( 'woocommerce_before_add_to_cart_form', 'insert_payment_method_img' );

function insert_payment_method_img() {
	 echo ('<img src="http://stern-gmbh.de/wp-content/uploads/2021/01/payment-methods-quer-2.png" alt="" width="580" height="41" style="padding-bottom:20px" class="alignnone size-medium wp-image-3841" />');
}
		 
// remove GTIN and MPN Fields from germanized plugin
//add_action('after_setup_theme','remove_germanized_gtin', 30);
function remove_germanized_gtin() {
	$base_arg = null;
    if (class_exists('WC_Trusted_Shops_Admin')) {
		$removeclass =  WC_Trusted_Shops_Admin::instance($base_arg);
        remove_action( 'woocommerce_product_options_general_product_data', array( $removeclass, 'output_fields' ) );
        remove_action( 'woocommerce_product_after_variable_attributes', array( $removeclass, 'output_variation_fields' ), 20 );
    }
}
	
// remove noindex on cart, my account, checkout pages
function wporg_wp_robots_add_follow( $robots ) {
	unset( $robots['noindex'] );
    $robots['follow'] = true;
	$robots['index'] = true;
    return $robots;
}
//add_filter( 'wp_robots', 'wporg_wp_robots_add_follow',99 );
//
// Google conversions tracking
add_action( 'woocommerce_thankyou', 'conversion_tracking_thank_you_page', 95, 1 );
function conversion_tracking_thank_you_page( $order_id ) {
    if( ! $order_id )
        return;

    // Get the WC_Order instance Object
    $order = wc_get_order( $order_id ); 
    ?>
    <!-- Google Tag: Transaction conversion event -->
    <script>
    gtag('event', 'conversion', {
      'send_to'       : 'AW-10809169052/brR3CLXyt4gDEJypm6Io',
      'value'         : <?php echo $order->get_total(); ?>,
      'currency'      : '<?php echo $order->get_currency(); ?>',
      'transaction_id': <?php echo $order->get_transaction_id() ? $order->get_transaction_id() : $order_id; ?>
    });
    </script>
    <?php
}

